# Get Pipeline Stage run by stage run Id

Endpoint: GET /pipelines/v0/runs/{pipeline_run_id}/stageruns/{stage_run_id}/
Version: 1.0.0
Security: SCAPIAuthToken

## Path parameters:

  - `pipeline_run_id` (string, required)
    ID of the Pipeline Run

  - `stage_run_id` (string, required)
    ID of pipeline stage run

## Response 200 fields (application/json):

  - `code` (integer)

  - `message` (string)

  - `content` (object)

  - `content.id` (string)

  - `content.enterprise_id` (string)

  - `content.pipeline_id` (string)

  - `content.pipeline_run_id` (string)

  - `content.stage_id` (string)

  - `content.stage_meta` (object)

  - `content.stage_meta.name` (string)

  - `content.stage_meta.description` (string)

  - `content.stage_meta.created_by` (number)

  - `content.status` (string)
    Enum: "pending", "queued", "processing", "running", "complete", "success", "failure", "cancelled", "invalid", "timeout"

  - `content.created_by` (number)

  - `content.updated_by` (number)

  - `content.created_at` (string)

  - `content.updated_at` (string)

  - `content.started_at` (string)

  - `content.ended_at` (string)

## Response 401 fields (application/json):

  - `code` (integer, required)

  - `message` (string, required)

  - `content` (object)


